%define upstream_name    HTML-Quoted
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extract structure of quoted HTML mail message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Parser) >= 3.0.0
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
Parses and extracts quotation structure out of a HTML message. Purpose and
returned structures are very similar to the Text::Quoted manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.50.0-2.mga10
+ Revision: 2218644
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.50.0-1.mga10
+ Revision: 1981778
- Restore BR on inc::Module::Install
- update to 0.05

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-12.mga9
+ Revision: 1809403
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-11.mga8
+ Revision: 1504647
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-10.mga7
+ Revision: 1283968
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.40.0-9.mga7
+ Revision: 1164810
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.40.0-8.mga7
+ Revision: 1159033
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1028248
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 948572
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 788056
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 740030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 684953
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 527008
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.40.0-1.mga4
+ Revision: 439378
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 368056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 buchan <buchan> 0.30.0-1.mga2
+ Revision: 194197
- imported package perl-HTML-Quoted


* Fri Nov 18 2011 Buchan Milne <buchan at mageia dot org> 0.30.0-1.mga
- initial mageia release, generated with cpan2dist
